"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_paper_1 = require("react-native-paper");
const input_props_1 = __importDefault(require("./input.props"));
exports.default = ({ type, value, uiSchema = {}, options = {}, onChange, isKeyField = false, htmlid, onBlur, }) => {
    const inProps = input_props_1.default({ onChange, onBlur, type, options, uiSchema });
    return (isKeyField ? (react_1.default.createElement(react_native_paper_1.TextInput, Object.assign({ htmlid: htmlid, defaultValue: value === null ? '' : value }, inProps))) : (react_1.default.createElement(react_native_paper_1.TextInput, Object.assign({ htmlid: htmlid, value: value === null ? '' : value }, inProps))));
};
//# sourceMappingURL=index.js.map